###################################################
### chunk number 1: 
###################################################
options(continue=" ")
options(SweaveHooks=list(fig=function()
par(mar=c(5.1, 4.1, 1.1, 2.1))))
library (oosp, warn=FALSE)


###################################################
### chunk number 2: 
###################################################
#simple use of match
key = LETTERS [1:6]
value = c ("A's value", "B's value", "C's value",
	"D's value", "E's value", "F's value")
table = data.frame (key, value, stringsAsFactors=FALSE)



###################################################
### chunk number 3: 
###################################################
table [match ("A", table [,1]), 2]


###################################################
### chunk number 4: 
###################################################
#slightly enhanced form
lookup1 = function (key) d [match (key, d [,1]), 2]
e = new.env ()
environment (lookup1) = e
e$d = table


###################################################
### chunk number 5: 
###################################################
lookup1 ("B")


###################################################
### chunk number 6: 
###################################################
#more enhanced version
f = function (key) table [match (key, d [,1]), 2]
lookup2 = FUNCTION (f, d=table)


###################################################
### chunk number 7: 
###################################################
lookup2


###################################################
### chunk number 8: 
###################################################
lookup2 ("D")


###################################################
### chunk number 9: 
###################################################
#safer version
f = function (key) table [match (key, .$d [,1]), 2]
lookup3 = FUNCTION (f, d=table)


###################################################
### chunk number 10: 
###################################################
lookup3 ("E")


###################################################
### chunk number 11: 
###################################################
lookup3$d


